% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/loadSpatialImage.R
\name{loadSpatialImage}
\alias{loadSpatialImage}
\title{Load a spatial image}
\usage{
loadSpatialImage(img.info, project)
}
\arguments{
\item{img.info}{Named list containing the metadata for this assay.}

\item{project}{Any argument accepted by the acquisition functions, see \code{?\link[artificer.base]{acquireFile}}.
By default, this should be a string containing the path to a staging directory.}
}
\value{
A \linkS4class{SpatialImage} containing the image data (or a reference to it).
}
\description{
Load an image as a \linkS4class{SpatialImage} or subclass thereof.
}
\examples{
example(read10xVisium, echo=FALSE)
img <- imgData(spe)$data[[1]]

tmp <- tempfile()
dir.create(tmp)
meta <- stageObject(img, tmp, "whee")

out <- loadSpatialImage(meta, tmp)

}
\author{
Aaron Lun
}
